<?
if ($level <= 1) {
die('У вас нет прав доступа');
}

$system['title'] = 'Список забаненных';
require SYS . 'header.php';

if (isset($_GET['delete'])) {
$delete = (int) $_GET['delete'];
$delete = $sql -> fetch("SELECT * FROM `ban` WHERE `id` = '".$delete."' LIMIT 1");
$delete_ank = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '".$delete['id_user']."' LIMIT 1");
  
if ($delete['id'] && ($level > $delete_ank['level'] || $user['id'] == $delete_ank['id'])) {
if ($user['id'] != $delete['id_user']) {
admin_log($user['id'], 'Пользователи|Снятие бана', 'Снятие бана с пользователя [url=?func=user.profile&id='.$delete['id_ban'].']'.login($delete['id_ban']).'[/url], которого забанил [url=?func=user.profile&id='.$delete['id_user'].']'.login($delete['id_user']).'[/url].\rПричина бана была: [red]\"'.$delete['msg'].'\"[/red]');
}
$sql -> delete("DELETE FROM `ban` WHERE `id` = '".$delete['id']."' LIMIT 1");
$messages[] = 'Бан успешно снят';    
}
}

$k_post = $sql -> selectCount("SELECT COUNT(*) FROM `ban` WHERE `time` > '".$time."'");

if ($k_post == 0) {
?><div class="alert" style="margin: 2px;">Список пуст</div><?
} else {
$k_page = k_page($k_post, $system['page_str']);
$page = page($k_page);
$start =  $system['page_str'] * $page -  $system['page_str'];

$array = $sql -> select("SELECT * FROM `ban` WHERE `time` > '".$time."' ORDER BY `id` DESC LIMIT $start, ".$system['page_str']."");

foreach ($array AS $post) {
$num++;
?>
<div class="<?= ($num % 2 ? "nav1" : "nav2")?>">
<?= login($post['id_ban'], 1)?><br />
<? if ($level > $ank['level']) { ?>
<a href="?func=<?= $func?>&amp;id=<?= $post['id_ban']?>&amp;delete=<?= $post['id']?>&amp;page=<?= $page?>" class="close">&times;</a>
<?}?>
Заблокировал <?= login($post['id_user'], 1)?> до <?= vremja($post['time'])?><br /> 
Причина: <?= text_out($post['msg'])?><br /> 
Обжалование: <?= ($post['view'] == 1 ? '<span class="on">Разрешено</span>' : '<span class="off">Запрещено</span>')?>
</div>
<?
}

if ($k_page > 1) {str('?func='.$func.'&amp;', $k_page, $page);}
}  
?>
<div class="foot">
&laquo; <a href="?func=admin">Админ панель</a>
</div>